package com.lovecoding.day03;


/**
 * @author WanJl
 * @version 1.0
 * @title Demo05
 * @description 给定整数 12345，使用 while 循环将其反转并输出。
 * @create 2026/7/9
 */
public class Demo05 {
    public static void main(String[] args) {
        int number=12345;
        int rev=0;  //反转后的结果    50
        while (number!=0){
            rev=rev*10 +(number%10);  //得到最后一位
            number/=10; //缩小10倍
        }
        System.out.println(rev);
    }
}
